<Project Sdk="Microsoft.NET.Sdk">
	
	<Import Project="..\..\common.props" />
	
	<PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <Nullable>enable</Nullable>
    <RootNamespace>JiShe.CollectBus</RootNamespace>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="PrepaymentSystems\**" />
    <EmbeddedResource Remove="PrepaymentSystems\**" />
    <None Remove="PrepaymentSystems\**" />
  </ItemGroup>

  <ItemGroup>
    <None Remove="FodyWeavers.xml" />
    <None Remove="FodyWeavers.xsd" />
    <None Remove="JiShe.CollectBus.Domain.abppkg" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\modules\JiShe.CollectBus.FreeSql\JiShe.CollectBus.FreeSql.csproj" />
    <ProjectReference Include="..\..\modules\JiShe.CollectBus.IoTDB\JiShe.CollectBus.IoTDB.csproj" />
    <ProjectReference Include="..\..\shared\JiShe.CollectBus.Analyzers.Shared\JiShe.CollectBus.Analyzers.Shared.csproj" /> 
    <ProjectReference Include="..\..\shared\JiShe.CollectBus.Common\JiShe.CollectBus.Common.csproj" />
    <ProjectReference Include="..\..\shared\JiShe.CollectBus.Domain.Shared\JiShe.CollectBus.Domain.Shared.csproj" />
		<ProjectReference Include="..\..\modules\JiShe.CollectBus.Analyzers\JiShe.CollectBus.Analyzers.csproj" OutputItemType="Analyzer" ReferenceOutputAssembly="false" />
	</ItemGroup>

  <ItemGroup>
    <PackageReference Include="MongoDB.Bson" Version="2.22.0" />
    <PackageReference Include="Volo.Abp.Emailing" Version="8.3.3" />
    <PackageReference Include="Volo.Abp.Caching" Version="8.3.3" />
    <PackageReference Include="Volo.Abp.BackgroundJobs.Domain" Version="8.3.3" />
    <PackageReference Include="Volo.Abp.AuditLogging.Domain" Version="8.3.3" />
	</ItemGroup>

</Project>
